Package com.pixelmed.display

# Class IconDemographicAndTechniqueAnnotations

java.lang.Object
com.pixelmed.display.DemographicAndTechniqueAnnotations
com.pixelmed.display.IconDemographicAndTechniqueAnnotations

public class IconDemographicAndTechniqueAnnotations extends DemographicAndTechniqueAnnotations

A class to extract selected DICOM annotative attributes into defined displayed area relative positions for icons.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

`DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry`

## Field Summary

### Fields inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

`ABBREVPHOTO, CALLFUNCTION, CODEMEANING, DIRECTIONVECTOR, EXPOSURE, EXPOSURETIME, FRAMENUMBER, IMAGETYPE, JUSTTIME, layout, LOSSYCOMPRESSED, multipleCodeMeaningDelimiter, NOSPECIAL, ORIENTLABEL, PIXELREPN, SLICESPACING, TEXTIFYESNO, XRAYTUBECURRENT`

## Constructor Summary

Constructors
Constructor
Description
`IconDemographicAndTechniqueAnnotations(AttributeList list)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initializeDefaultLayout()`

### Methods inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

`getValueByCallingFunction, iterator, main`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IconDemographicAndTechniqueAnnotations

public IconDemographicAndTechniqueAnnotations(AttributeList list)

Parameters:
  `list` - the DICOM attributes of a single or multi-frame image

## Method Details

### initializeDefaultLayout

protected void initializeDefaultLayout()

Overrides:
  `initializeDefaultLayout` in class `DemographicAndTechniqueAnnotations`